PLSMEM(3)

NAME
plsmem - Set the memory area to be plotted (RGB)

SYNOPSIS
plsmem(maxx, maxy, plotmem)

DESCRIPTION

Set the memory area to be plotted (with the mem or memcairo driver) as the dev member of the stream structure. Also set the number of pixels in the memory passed in plotmem, which is a block of memory maxy by maxx by 3 bytes long, say: 480 x 640 x 3 (Y, X, RGB)

This memory will have to be freed by the user!

Redacted form: plsmem(maxx, maxy, plotmem)

This function is not used in any examples.

ARGUMENTS

maxx (PLINT(3), input)
    Size of memory area in the X coordinate.

maxy (PLINT(3), input)
    Size of memory area in the Y coordinate.

plotmem (PLPointer(3), input)
    Pointer to the beginning of a user-supplied writeable memory area.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.